%global sname   skinflatplus
# version we want build against
%global vdr_version 2.6.3
%if 0%{?fedora} >= 38
%global vdr_version 2.6.6
%endif

Name:           vdr-skinflatplus
Version:        1.0.1
Release:        1%{?dist}
Summary:        A fast, modern and up-to-date skin for the Video Disc Recorder

License:        GPLv2+
URL:            https://github.com/MegaV0lt/vdr-plugin-skinflatplus
Source0:        %url/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Configuration files for plugin parameters. These are Fedora specific and not in upstream.
Source1:        %{name}.conf
BuildRequires:  make
BuildRequires:  gcc-c++
%if 0%{?fedora} >= 38
#BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  ImageMagick-c++-devel
%else
BuildRequires:  pkgconfig(GraphicsMagick++)
%endif
BuildRequires:  vdr-devel >= %{vdr_version}
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description
This plugin for Klaus Schmidinger's Video Disc Recorder VDR adds the "fltPluus"
skin. Skin flatPlus is a fast, modern and up-to-date skin for VDR. The design 
is flat and straightforward (no glossy or 3D effects).

%prep
%autosetup -n vdr-plugin-%{sname}-%{version}

%build
%{set_build_flags}
%if 0%{?fedora} >= 38
%make_build IMAGELIB=imagemagick
%else
%make_build IMAGELIB=graphicsmagick
%endif

%install
# make install would install the themes under /etc, let's not use that
make install-lib install-i18n DESTDIR=%{buildroot}
# install the themes to the custom location used in Fedora
install -dm 755 %{buildroot}%{vdr_vardir}/themes
install -pm 644 themes/*.theme %{buildroot}%{vdr_vardir}/themes/

# skinelchihd.conf
install -Dpm 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/sysconfig/vdr-plugins.d/skinflatplus.conf

%find_lang %{name}

%files -f %{name}.lang
%doc HISTORY* README*
%license COPYING
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/skinflatplus.conf
%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}
%{vdr_vardir}/themes/flatPlus-*.theme

%changelog
* Wed Jan 31 2024 Martin Gansser <martinkg@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Tue Oct 24 2023 Martin Gansser <martinkg@fedoraproject.org> - 0.7.5-1
- Initial Build
